 SUBROUTINE set_slicer_attributes_dvrp( n_slicer )

!------------------------------------------------------------------------------!
! Actual revisions:
! -----------------
! 
!
! Former revisions:
! -----------------
! $Id: set_slicer_attributes_dvrp.f90 284 2009-04-06 06:36:10Z raasch $
!
! Initial version (2009/03/31)
!
! Description:
! ------------
! This routine sets the dvrp-slicer attributes
!------------------------------------------------------------------------------!
#if defined( __dvrp_graphics )

    USE control_parameters
    USE dvrp_variables

    IMPLICIT NONE

    INTEGER ::  j, n_slicer
    REAL    ::  maxv, meav, minv


!
!-- Set interval values to user settings.
!-- The middle of this interval defines the change from blue to yellow
    minv = slicer_range_limits_dvrp(1,n_slicer)
    maxv = slicer_range_limits_dvrp(2,n_slicer)
    meav = ( minv + maxv ) * 0.5

!
!-- Create appropriate colortable with 100 entries.
!-- This table ranges from deep blue (min) to deep red (max)
    DO  j = 1, 50
       interval_values_dvrp(1,j) = minv + (meav-minv) * (j-1.0) / 50.0
       interval_values_dvrp(2,j) = minv + (meav-minv) * (  j  ) / 50.0
       interval_h_dvrp(:,j) = 270.0 - ( j - 1.0 ) * 90.0 / 49.0
    ENDDO

    DO  j = 51, 100
       interval_values_dvrp(1,j) = meav + (maxv-meav) * (j-51.0) / 50.0
       interval_values_dvrp(2,j) = meav + (maxv-meav) * (j-50.0) / 50.0
       interval_h_dvrp(:,j) = 70.0 - ( j - 51.0 ) * 90.0 / 49.0
    ENDDO

    dvrp_colourtable_entries = 100

#endif
 END SUBROUTINE set_slicer_attributes_dvrp
